"use strict";
const common_vendor = require("../../common/vendor.js");
if (!Array) {
  const _easycom_uni_segmented_control2 = common_vendor.resolveComponent("uni-segmented-control");
  const _easycom_uni_popup2 = common_vendor.resolveComponent("uni-popup");
  (_easycom_uni_segmented_control2 + _easycom_uni_popup2)();
}
const _easycom_uni_segmented_control = () => "../../uni_modules/uni-segmented-control/components/uni-segmented-control/uni-segmented-control.js";
const _easycom_uni_popup = () => "../../uni_modules/uni-popup/components/uni-popup/uni-popup.js";
if (!Math) {
  (_easycom_uni_segmented_control + _easycom_uni_popup + tabber)();
}
const tabber = () => "../../components/tabber.js";
const _sfc_main = {
  __name: "record",
  setup(__props) {
    const activeCurrent = common_vendor.ref(0);
    const controlList = ["全部", "待审核", "已拒绝", "已推送"];
    const list = common_vendor.ref([
      {
        id: 1,
        name: "张三",
        time: "2023-12-13  10:23",
        type: "待审核",
        desc: "给孩子送棉被"
      },
      {
        id: 2,
        name: "张三",
        time: "2023-12-13  10:23",
        type: "已拒绝",
        desc: "给孩子送棉被"
      },
      {
        id: 3,
        name: "张三",
        time: "2023-12-13  10:23",
        type: "已推送",
        desc: "给孩子送棉被"
      }
    ]);
    const popup = common_vendor.ref(null);
    const popObj = common_vendor.ref({});
    common_vendor.onLoad(() => {
    });
    const handleClick = (item) => {
      popObj.value = item;
      popup.value.open();
    };
    const onClickItem = (e) => {
      console.log(e);
    };
    const handleCancel = () => {
      console.log("取消");
    };
    const closePop = () => {
      popup.value.close();
    };
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.o(onClickItem),
        b: common_vendor.p({
          current: activeCurrent.value,
          values: controlList,
          styleType: "text",
          activeColor: "#0061FF"
        }),
        c: common_vendor.f(list.value, (item, k0, i0) => {
          return common_vendor.e({
            a: common_vendor.t(item.name),
            b: common_vendor.t(item.time),
            c: item.type == "待审核"
          }, item.type == "待审核" ? {
            d: common_vendor.t(item.type)
          } : {}, {
            e: item.type == "已拒绝"
          }, item.type == "已拒绝" ? {
            f: common_vendor.t(item.type)
          } : {}, {
            g: item.type == "已推送"
          }, item.type == "已推送" ? {
            h: common_vendor.t(item.type)
          } : {}, {
            i: common_vendor.t(item.time),
            j: common_vendor.t(item.desc),
            k: item.type == "待审核"
          }, item.type == "待审核" ? {
            l: common_vendor.o(handleCancel, item.id)
          } : {}, {
            m: item.id,
            n: common_vendor.o(($event) => handleClick(item), item.id)
          });
        }),
        d: common_vendor.o(closePop),
        e: popObj.value.type == "待审核"
      }, popObj.value.type == "待审核" ? {
        f: common_vendor.t(popObj.value.type)
      } : {}, {
        g: popObj.value.type == "已拒绝"
      }, popObj.value.type == "已拒绝" ? {
        h: common_vendor.t(popObj.value.type)
      } : {}, {
        i: popObj.value.type == "已推送"
      }, popObj.value.type == "已推送" ? {
        j: common_vendor.t(popObj.value.type)
      } : {}, {
        k: common_vendor.t(popObj.value.name),
        l: common_vendor.t(popObj.value.time),
        m: common_vendor.t(popObj.value.desc),
        n: common_vendor.sr(popup, "00bd71c9-1", {
          "k": "popup"
        }),
        o: common_vendor.p({
          type: "center",
          ["is-mask-click"]: false
        })
      });
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-00bd71c9"], ["__file", "E:/workSpace/WanZai_School_app/pagesReservation/record/record.vue"]]);
wx.createPage(MiniProgramPage);
